Bug 9622 - iptables v1.x.x: Couldn't load match `recent':/lib/iptables/libipt_recent.so
: iptables v1.x.x: Couldn't load match `recent':/lib/iptables/libipt_recent.so
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/iptables)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-05-26 18:51 by
Modified: 2006-09-15 01:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-05-26 18:51:22
Проблема достаточно описана здесь
http://lists.altlinux.org/pipermail/sysadmins/2006-March/000721.html
присутствует и в M2.2 и в M2.4 и в C3.0 и, судя по информации по ссылке, в
sisyphus-е. Ключ к решению здесь
http://lists.netfilter.org/pipermail/netfilter/2005-August/062384.html
Для себя решил так
[peter@test1 tmp-wget]$ diff iptables.spec iptables.spec1
3c3
< Release: alt2
---
> Release: alt2.P0
97c97
< make COPT_FLAGS="%optflags" PREFIX=%prefix LIBDIR=/%_lib \
---
> make COPT_FLAGS="%optflags" PREFIX=%prefix LIBDIR=/%_lib KERNEL_DIR=/usr \
101c101
< make install install-experimental install-devel \
---
> make install install-experimental install-devel KERNEL_DIR=/usr \
158a159,161
> * Fri May 26 2006 Peter V.Fedchenko <petervf@front.ru> 1.3.1-alt2.P0
> - change spec to compile libipt_recent.so
>
Как правильно править согласно ALT-way, к сожалению, не знаю.
Но хотелось бы чтоб последующие сборки iptables шли с этим модулем.
------- Comment #1 From 2006-05-26 20:27:09 -------
можно патч в нормальном виде? diff -u т.е.
------- Comment #2 From 2006-05-28 14:35:00 -------
$ diff -u iptables.spec iptables.spec1
--- iptables.spec       2005-05-24 20:08:08 +0400
+++ iptables.spec1      2006-05-26 17:22:55 +0400
@@ -1,6 +1,6 @@
 Name: iptables
 Version: 1.3.1
-Release: alt2
+Release: alt2.P0

 Summary: Tools for managing Linux kernel packet filtering capabilities
 License: GPL
@@ -94,11 +94,11 @@
 popd

 %build
-make COPT_FLAGS="%optflags" PREFIX=%prefix LIBDIR=/%_lib \
+make COPT_FLAGS="%optflags" PREFIX=%prefix LIBDIR=/%_lib KERNEL_DIR=/usr \
        all experimental

 %install
-make install install-experimental install-devel \
+make install install-experimental install-devel KERNEL_DIR=/usr \
        DESTDIR=%buildroot BINDIR=/sbin MANDIR=%_mandir \
        PREFIX=%prefix LIBDIR=/%_lib
 mkdir -p %buildroot%_libdir
@@ -156,6 +156,9 @@
 %postun ipv6 -p %postun_ldconfig

 %changelog
+* Fri May 26 2006 Peter V.Fedchenko <petervf@front.ru> 1.3.1-alt2.P0
+- change spec to compile libipt_recent.so
+
 * Tue May 24 2005 Dmitry V. Levin <ldv@altlinux.org> 1.3.1-alt2
 - Added multilib support (mouse, closes #6745).

------- Comment #3 From 2006-07-01 16:43:39 -------
Почему баг висит на voins?
------- Comment #4 From 2006-07-01 18:53:53 -------
Fixed in iptables-1.3.5-alt4.